﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BugNestedGroup
{
	public class DataModel
	{
		public string DataModelName
		{
			get { return "DataModel"; }
		}

		private int id;

		public string assemblyName
		{
			get
			{
				switch(this.id)
				{
					case 1:
						return "I am the parent";
					case 2:
						return "I am the first child";
					case 3:
						return "I am the second child";
					case 4:
						return "I am the third child";
					default:
						return "";
				}
			}
		}

		public Image assemblyImage
		{
			get
			{
				switch (this.id)
				{
					case 1:
						return Image.FromFile(@"D:\Workspace\Projets tests\ChildFieldWithParentValue\BugNestedGroup\Data\patte-de-chat.jpg");
					case 2:
						return Image.FromFile(@"D:\Workspace\Projets tests\ChildFieldWithParentValue\BugNestedGroup\Data\giphy.gif");
					case 3:
						return null;
					case 4:
						return Image.FromFile(@"D:\Workspace\Projets tests\ChildFieldWithParentValue\BugNestedGroup\Data\signature.png");
					default:
						return null;
				}
			}
		}

		private List<DataModel> _children;
		public List<DataModel> Children
		{
			get
			{
				return this._children;
			}
		}

		public DataModel(int id)
		{
			this.id = id;
			this._children = new List<DataModel>();
		}

		public void addChild(int id)
		{
			this._children.Add(new DataModel(id));
		}
	}
}
